package dspl.frontend;

import antlr.*;
import antlr.collections.*;

public class DSPLAST extends CommonAST {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -5319430647062792316L;
	
	private int lineNumber, column;
	
	public void initialize (AST t) {
		super.initialize(t);
		lineNumber = t.getLine();
		column = t.getColumn();
	}
	
	public void initialize (Token t) {
		super.initialize(t);
		lineNumber = t.getLine();
		column = t.getColumn();
	}
	
	public int getLine() {
		return lineNumber;
	}
	
	public int getColumn() {
		return column;
	}
}
